Bug 723901 - pre-release anaconda compose is disabling 'rawhide' repo ... leaves no repos available for install
Summary: pre-release anaconda compose is disabling 'rawhide' repo ... leaves no repos ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: lorax
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Martin Gracik
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedBlocker
Depends On:
Blocks: F16Alpha, F16AlphaBlocker
TreeView+ depends on / blocked
 
Reported: 2011-07-21 14:03 UTC by Dennis Gilmore
Modified: 2013-07-04 12:57 UTC (History)
7 users (show)

Fixed In Version: pungi-2.9-1.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-06 04:24:58 UTC


Attachments (Terms of Use)
yum log (1.72 KB, text/x-log)
2011-07-21 14:03 UTC, Dennis Gilmore
no flags Details
anaconda log (17.60 KB, text/x-log)
2011-07-21 14:03 UTC, Dennis Gilmore
no flags Details
screen shot of how anaconda ends (40.53 KB, image/png)
2011-07-21 14:04 UTC, Dennis Gilmore
no flags Details
0001-Additional-fix-to-ensure-interim-pre-release-beta-im.patch (883 bytes, patch)
2011-07-21 18:42 UTC, James Laska
no flags Details | Diff

Description Dennis Gilmore 2011-07-21 14:03:15 UTC
Created attachment 514207 [details]
yum log

Description of problem:
new install isos for qa validation result in being uninstallable. it seems that no repos are enabled and the only option given is to exit the installer.




Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Dennis Gilmore 2011-07-21 14:03:50 UTC
Created attachment 514209 [details]
anaconda log

Comment 2 Dennis Gilmore 2011-07-21 14:04:22 UTC
Created attachment 514210 [details]
screen shot of how anaconda ends

Comment 3 James Laska 2011-07-21 14:08:51 UTC
It seems this is because anaconda was told that this isn't a beta ...

# cat /.buildstamp 
[Main]
Product=Fedora
Version=16-test-20110721
BugURL=https://bugzilla.redhat.com
IsBeta=False
UUID=201107211254.x86_64

So it's not displaying the 'rawhide' repo ...

[2011-07-21 09:57:40,243] WARN    : Excluding devel repo Fedora - Rawhide - Developmental packages for the next Fedora release for non-devel anaconda


Adding to F16Alpha since this clearly prevents all installations.

Comment 4 James Laska 2011-07-21 18:42:01 UTC
Created attachment 514257 [details]
0001-Additional-fix-to-ensure-interim-pre-release-beta-im.patch

In addition to the proposed lorax fix [1], should the command-line defaults for is_beta also match the default API value?

[1] df849d341927061b633dffc6101f2f4cb0342681

Comment 5 James Laska 2011-07-22 14:51:58 UTC
I believe dgilmore resolved this with a custom change to pungi.git.  The latest compose images do not exhibit the reported problem.

Should this be moved to POST or MODIFIED, pending an updated pungi package?

Comment 6 Tim Flink 2011-07-22 14:53:24 UTC
This seems to hit the alpha release criterion:

The installer must boot (if appropriate) and run on all primary architectures from default live image, DVD, and boot.iso install media.

Since any boot.iso media will fail with no option to add repos.

+1 on alpha blocker

Comment 7 Tim Flink 2011-07-22 21:49:27 UTC
Discussed at the 2011-07-22 blocker bug review meeting. It is unclear whether this will be solved when Fedora 16 is branched and it will be reviewed again next week if this does affect branched installs.

Comment 8 Tim Flink 2011-07-29 17:53:35 UTC
Discussed in the 2011-07-29 blocker review meeting. Accepted as F16 alpha blocker based on perceived impact to branched composes.

Fix is available, closing this issue is pending TC1 testing.

Comment 9 Fedora Update System 2011-07-29 17:53:56 UTC
pungi-2.9-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/pungi-2.9-1.fc16

Comment 10 Fedora Update System 2011-08-01 20:16:20 UTC
Package pungi-2.9-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing pungi-2.9-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/pungi-2.9-1.fc16
then log in and leave karma (feedback).

Comment 11 Fedora Update System 2011-08-06 04:24:52 UTC
pungi-2.9-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.